Loading...
Searching...
No Matches
CxxTest::RealSuiteDescription Class Reference

`#include <RealDescriptions.h>`

## Public Member Functions

| RealSuiteDescription ()
| RealSuiteDescription (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
void | initialize (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
const char * | file () const
unsigned | line () const
const char * | suiteName () const
TestDescription * | firstTest ()
const TestDescription * | firstTest () const
SuiteDescription * | next ()
const SuiteDescription * | next () const
unsigned | numTests () const
const TestDescription & | testDescription (unsigned i) const
void | activateAllTests ()
bool | leaveOnly (const char *testName)
Public Member Functions inherited from CxxTest::SuiteDescription
virtual | ~SuiteDescription ()
virtual TestSuite * | suite () const =0
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
virtual bool | setUp ()=0
virtual bool | tearDown ()=0
void | attach (List &l)
void | detach (List &l)

## Private Member Functions

| RealSuiteDescription (const RealSuiteDescription &)
RealSuiteDescription & | operator= (const RealSuiteDescription &)

## Private Attributes

const char * | _file
unsigned | _line
const char * | _suiteName
List * | _tests
STATIC_INST_VAR List | _suites = { 0, 0 }

## Friends

class | RealWorldDescription

## Detailed Description

Definition at line 46 of file RealDescriptions.h.

## Constructor & Destructor Documentation

## RealSuiteDescription() [1/3]

CxxTest::RealSuiteDescription::RealSuiteDescription | ( |  | ) |

Definition at line 101 of file RealDescriptions.cpp.

{}

## RealSuiteDescription() [2/3]

CxxTest::RealSuiteDescription::RealSuiteDescription | ( | const char * | argFile,
|  | unsigned | argLine,
|  | const char * | argSuiteName,
|  | List & | argTests )

Definition at line 102 of file RealDescriptions.cpp.

{
initialize( argFile, argLine, argSuiteName, argTests );
}
CxxTest::initialize
void initialize()

## RealSuiteDescription() [3/3]

CxxTest::RealSuiteDescription::RealSuiteDescription | ( | const RealSuiteDescription & |  | ) |

private

## Member Function Documentation

## activateAllTests()

void CxxTest::RealSuiteDescription::activateAllTests | ( |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 139 of file RealDescriptions.cpp.

{
_tests->activateAll();
}
CxxTest::RealSuiteDescription::_tests
List * _tests
Definition RealDescriptions.h:76

## file()

const char * CxxTest::RealSuiteDescription::file | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 123 of file RealDescriptions.cpp.

{ return _file; }
CxxTest::RealSuiteDescription::_file
const char * _file
Definition RealDescriptions.h:73

## firstTest() [1/2]

TestDescription * CxxTest::RealSuiteDescription::firstTest | ( |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 127 of file RealDescriptions.cpp.

{ return (RealTestDescription *)_tests->head(); }

## firstTest() [2/2]

const TestDescription * CxxTest::RealSuiteDescription::firstTest | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 128 of file RealDescriptions.cpp.

{ return (const RealTestDescription *)_tests->head(); }

## initialize()

void CxxTest::RealSuiteDescription::initialize | ( | const char * | argFile,
|  | unsigned | argLine,
|  | const char * | argSuiteName,
|  | List & | argTests )

Definition at line 110 of file RealDescriptions.cpp.

{
_file = argFile;
_line = argLine;
_suiteName = argSuiteName;
_tests = &argTests;
attach( _suites );
}
CxxTest::Link::attach
void attach(List &l)
Definition LinkedList.cpp:145
CxxTest::RealSuiteDescription::_line
unsigned _line
Definition RealDescriptions.h:74
CxxTest::RealSuiteDescription::_suites
STATIC_INST_VAR List _suites
Definition RealDescriptions.h:78
CxxTest::RealSuiteDescription::_suiteName
const char * _suiteName
Definition RealDescriptions.h:75

## leaveOnly()

bool CxxTest::RealSuiteDescription::leaveOnly | ( | const char * | testName | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 144 of file RealDescriptions.cpp.

{
for ( TestDescription *td = firstTest(); td != 0; td = td->next() ) {
if ( stringsEqual( td->testName(), testName ) ) {
_tests->leaveOnly( *td );
return true;
}
}
return false;
}
CxxTest::RealSuiteDescription::firstTest
TestDescription * firstTest()
Definition RealDescriptions.cpp:127
CxxTest::TestDescription::next
virtual const TestDescription * next() const =0
CxxTest::stringsEqual
bool stringsEqual(const char *s1, const char *s2)
Definition ValueTraits.cpp:39

## line()

unsigned CxxTest::RealSuiteDescription::line | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 124 of file RealDescriptions.cpp.

{ return _line; }

## next() [1/2]

SuiteDescription * CxxTest::RealSuiteDescription::next | ( |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 129 of file RealDescriptions.cpp.

{ return (RealSuiteDescription *)Link::next(); }
CxxTest::Link::next
Link * next()
Definition LinkedList.cpp:113
CxxTest::RealSuiteDescription::RealSuiteDescription
RealSuiteDescription()
Definition RealDescriptions.cpp:101

## next() [2/2]

const SuiteDescription * CxxTest::RealSuiteDescription::next | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 130 of file RealDescriptions.cpp.

{ return (const RealSuiteDescription *)Link::next(); }

## numTests()

unsigned CxxTest::RealSuiteDescription::numTests | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 132 of file RealDescriptions.cpp.

{ return _tests->size(); }

## operator=()

RealSuiteDescription & CxxTest::RealSuiteDescription::operator= | ( | const RealSuiteDescription & |  | ) |

private

## suiteName()

const char * CxxTest::RealSuiteDescription::suiteName | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 125 of file RealDescriptions.cpp.

{ return _suiteName; }

## testDescription()

const TestDescription & CxxTest::RealSuiteDescription::testDescription | ( | unsigned | i | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 134 of file RealDescriptions.cpp.

{
return *(RealTestDescription *)_tests->nth( i );
}
i
int i
Definition cfEzgcd.cc:132

## Friends And Related Symbol Documentation

## RealWorldDescription

friend class RealWorldDescription

friend

Definition at line 79 of file RealDescriptions.h.

## Field Documentation

## _file

const char* CxxTest::RealSuiteDescription::_file

private

Definition at line 73 of file RealDescriptions.h.

## _line

unsigned CxxTest::RealSuiteDescription::_line

private

Definition at line 74 of file RealDescriptions.h.

## _suiteName

const char* CxxTest::RealSuiteDescription::_suiteName

private

Definition at line 75 of file RealDescriptions.h.

## _suites

List CxxTest::RealSuiteDescription::_suites = { 0, 0 }

private

Definition at line 78 of file RealDescriptions.h.

## _tests

List* CxxTest::RealSuiteDescription::_tests

private

Definition at line 76 of file RealDescriptions.h.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/RealDescriptions.h
- libpolys/tests/cxxtest/LinkedList.cpp
- libpolys/tests/cxxtest/RealDescriptions.cpp